View Issue Details

IDProjectCategoryView StatusLast Update
13743Bug reportsTheme editorpublic2018-06-11 16:32
Reporterollehar Assigned Todominikvitt 
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version3.8.x 
Fixed in Version3.10.x 
Summary13743: PHP notice when viewing question view in theme editor
Description

Title.

Steps To Reproduce
  1. Go to theme editor
  2. Go to question view screen
  3. PHP notice (see attachment)
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest master
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

ollehar

ollehar

2018-06-06 18:07

administrator  

PHP notice.html (32,014 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- saved from url=(0142)http://localhost/lime25/limesurvey/index.php/admin/themes?sa=view&editfile=layout_global.twig&templatename=extends_fruity2&screenname=question -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<title>PHP notice</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP notice</h1>

	<p class="message">
		Trying to get property of non-object	</p>

	<div class="source">
		<p class="file">/var/www/lime25/limesurvey/application/core/LSETwigViewRenderer.php(159)</p>
		<div class="code"><pre><span class="ln">147</span>             }
<span class="ln">148</span>         }
<span class="ln">149</span> 
<span class="ln">150</span>         // We check if the file is a twig file or a php file
<span class="ln">151</span>         // This allow us to twig the view one by one, from PHP to twig.
<span class="ln">152</span>         // The check will be removed when 100% of the views will have been twig
<span class="ln">153</span>         if (file_exists($requiredView.'.twig')) {
<span class="ln">154</span>             // We're not using the Yii Theming system, so we don't use parent::renderFile
<span class="ln">155</span>             // current controller properties will be accessible as {{ this.property }}
<span class="ln">156</span>             
<span class="ln">157</span>             //  aData and surveyInfo variables are accessible from question type twig files
<span class="ln">158</span>             $aData['aData'] = $aData;
<span class="error"><span class="ln error-ln">159</span>             $sBaseLanguage = Survey::model()-&gt;findByPk($_SESSION['LEMsid'])-&gt;language;
</span><span class="ln">160</span>             $aData['surveyInfo'] = getSurveyInfo($_SESSION['LEMsid'], $sBaseLanguage);
<span class="ln">161</span>             $aData['this'] = Yii::app()-&gt;getController();
<span class="ln">162</span>             
<span class="ln">163</span>             // check if this method is called from theme editor
<span class="ln">164</span>             if (empty($aData['bIsThemeEditor'])){
<span class="ln">165</span>                     $aData['question_template_attribute'] = $oQuestionTemplate-&gt;getCustomAttributes();
<span class="ln">166</span>                 } else {
<span class="ln">167</span>                     $aData['question_template_attribute'] = null;
<span class="ln">168</span>                 }
<span class="ln">169</span>             $template = $this-&gt;_twig-&gt;loadTemplate($sView.'.twig')-&gt;render($aData);
<span class="ln">170</span>             return $template;
<span class="ln">171</span>         } else {
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/views/admin/themes/templateeditor_question_answerlist_view.php(5): <strong>LSETwigViewRenderer</strong>-&gt;<strong>renderQuestion</strong>("/survey/questions/answer/listradio/columns/column_header", array("bIsThemeEditor" =&gt; true, "iColumnWidth" =&gt; 12, "aData" =&gt; array("bIsThemeEditor" =&gt; true, "iColumnWidth" =&gt; 12)))				</div>

				<div class="code"><pre><span class="ln">01</span> &lt;?php
<span class="ln">02</span> /* Set some part */
<span class="ln">03</span> $sRows="";
<span class="ln">04</span> $sRows .= App()-&gt;twigRenderer-&gt;renderQuestion('/survey/questions/answer/listradio/columns/column_header', array(
<span class="error"><span class="ln error-ln">05</span>     'bIsThemeEditor' =&gt; true,
</span><span class="ln">06</span>     'iColumnWidth' =&gt; 12));
<span class="ln">07</span> $sRows .= App()-&gt;twigRenderer-&gt;renderQuestion('/survey/questions/answer/listradio/rows/answer_row', array(
<span class="ln">08</span>     'bIsThemeEditor' =&gt; true,
<span class="ln">09</span>     'sDisplayStyle' =&gt; '',
<span class="ln">10</span>     'name'          =&gt; '1234X56X79',
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CBaseController.php(126): <strong>require</strong>("/var/www/lime25/limesurvey/application/views/admin/themes/templa...")				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CBaseController.php(95): <strong>CBaseController</strong>-&gt;<strong>renderInternal</strong>("/var/www/lime25/limesurvey/application/views/admin/themes/templa...", null, true)				</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension==='.'.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(872): <strong>CBaseController</strong>-&gt;<strong>renderFile</strong>("/var/www/lime25/limesurvey/application/views/admin/themes/templa...", null, true)				</div>

				<div class="code"><pre><span class="ln">867</span>      */
<span class="ln">868</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">869</span>     {
<span class="ln">870</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">871</span>         {
<span class="error"><span class="ln error-ln">872</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">873</span>             if($processOutput)
<span class="ln">874</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">875</span>             if($return)
<span class="ln">876</span>                 return $output;
<span class="ln">877</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/views/admin/themes/templateeditor_question_answer_view.php(6): <strong>CController</strong>-&gt;<strong>renderPartial</strong>("/admin/themes/templateeditor_question_answerlist_view")				</div>

				<div class="code"><pre><span class="ln">1</span> &lt;!-- templateeditor_question_answer_view --&gt;
<span class="ln">2</span> &lt;?php
<span class="ln">3</span> if (isset($alt)){
<span class="ln">4</span>     App()-&gt;getController()-&gt;renderPartial('/admin/themes/templateeditor_question_answertext_view');
<span class="ln">5</span> }else{
<span class="error"><span class="ln error-ln">6</span>     App()-&gt;getController()-&gt;renderPartial('/admin/themes/templateeditor_question_answerlist_view');
</span><span class="ln">7</span> }
<span class="ln">8</span> ?&gt;
<span class="ln">9</span> &lt;!-- endof templateeditor_question_answer_view --&gt;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CBaseController.php(126): <strong>require</strong>("/var/www/lime25/limesurvey/application/views/admin/themes/templa...")				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CBaseController.php(95): <strong>CBaseController</strong>-&gt;<strong>renderInternal</strong>("/var/www/lime25/limesurvey/application/views/admin/themes/templa...", array(), true)				</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension==='.'.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(872): <strong>CBaseController</strong>-&gt;<strong>renderFile</strong>("/var/www/lime25/limesurvey/application/views/admin/themes/templa...", array(), true)				</div>

				<div class="code"><pre><span class="ln">867</span>      */
<span class="ln">868</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">869</span>     {
<span class="ln">870</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">871</span>         {
<span class="error"><span class="ln error-ln">872</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">873</span>             if($processOutput)
<span class="ln">874</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">875</span>             if($return)
<span class="ln">876</span>                 return $output;
<span class="ln">877</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/admin/themes.php(994): <strong>CController</strong>-&gt;<strong>renderPartial</strong>("/admin/themes/templateeditor_question_answer_view", array(), true)				</div>

				<div class="code"><pre><span class="ln">989</span>                         'coreClass'=&gt;"em-tip ", // Unsure for this one
<span class="ln">990</span>                         'vtip'=&gt;gT('Hint when response is valid')
<span class="ln">991</span>                     ), true),
<span class="ln">992</span>                 );
<span class="ln">993</span> 
<span class="error"><span class="ln error-ln">994</span>                 $aReplacements['ANSWER'] = $this-&gt;getController()-&gt;renderPartial('/admin/themes/templateeditor_question_answer_view', array(), true);
</span><span class="ln">995</span>                 $aData['aReplacements'] = array_merge($aGlobalReplacements, $aReplacements);
<span class="ln">996</span> 
<span class="ln">997</span>                 // Group Datas
<span class="ln">998</span>                 $thissurvey['aGroups'][1]["name"]            = $groupname;
<span class="ln">999</span>                 $thissurvey['aGroups'][1]["showdescription"] = true;
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/admin/themes.php(426): <strong>themes</strong>-&gt;<strong>_initialise</strong>("extends_fruity2", "question", "layout_global.twig", true, ...)				</div>

				<div class="code"><pre><span class="ln">421</span>         /* Keep Bootstrap Package clean after loading template : because template can update boostrap */
<span class="ln">422</span>         $aBootstrapPackage = Yii::app()-&gt;clientScript-&gt;packages['bootstrap-admin'];
<span class="ln">423</span> 
<span class="ln">424</span> 
<span class="ln">425</span> 
<span class="error"><span class="ln error-ln">426</span>         $aViewUrls = $this-&gt;_initialise($templatename, $screenname, $editfile, true, true);
</span><span class="ln">427</span> 
<span class="ln">428</span>         App()-&gt;getClientScript()-&gt;reset();
<span class="ln">429</span>         Yii::app()-&gt;clientScript-&gt;packages['bootstrap'] = $aBootstrapPackage;
<span class="ln">430</span>         App()-&gt;getClientScript()-&gt;registerScriptFile(App()-&gt;getConfig('adminscripts').'templates.js');
<span class="ln">431</span>         App()-&gt;getClientScript()-&gt;registerPackage('ace');
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>themes</strong>-&gt;<strong>index</strong>("layout_global.twig", "question", "extends_fruity2")				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(themes, array("layout_global.twig", "question", "extends_fruity2"))				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/core/Survey_Common_Action.php(83): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(themes, ReflectionMethod, array("sa" =&gt; "view", "editfile" =&gt; "layout_global.twig", "templatename" =&gt; "extends_fruity2", "screenname" =&gt; "question"))				</div>

				<div class="code"><pre><span class="ln">78</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">79</span>         }
<span class="ln">80</span> 
<span class="ln">81</span>         // We're all good to go, let's execute it
<span class="ln">82</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">83</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">84</span>     }
<span class="ln">85</span> 
<span class="ln">86</span>     /**
<span class="ln">87</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">88</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/admin/themes.php(31): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("sa" =&gt; "view", "editfile" =&gt; "layout_global.twig", "templatename" =&gt; "extends_fruity2", "screenname" =&gt; "question"))				</div>

				<div class="code"><pre><span class="ln">26</span> {
<span class="ln">27</span> 
<span class="ln">28</span>     public function runWithParams($params)
<span class="ln">29</span>     {
<span class="ln">30</span>         if (Permission::model()-&gt;hasGlobalPermission('templates', 'read')) {
<span class="error"><span class="ln error-ln">31</span>             parent::runWithParams($params);
</span><span class="ln">32</span>         } else {
<span class="ln">33</span>             Yii::app()-&gt;setFlashMessage(gT("We are sorry but you don't have permissions to do this."), 'error');
<span class="ln">34</span>             $this-&gt;getController()-&gt;redirect(array("admin/themeoptions"));
<span class="ln">35</span>         }
<span class="ln">36</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(308): <strong>themes</strong>-&gt;<strong>runWithParams</strong>(array("sa" =&gt; "view", "editfile" =&gt; "layout_global.twig", "templatename" =&gt; "extends_fruity2", "screenname" =&gt; "question"))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(themes)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(themes, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/AdminController.php(158): <strong>CController</strong>-&gt;<strong>run</strong>("themes")				</div>

				<div class="code"><pre><span class="ln">153</span>                     $this-&gt;redirect(array('/admin/authentication/sa/login'));
<span class="ln">154</span>                 }
<span class="ln">155</span>             }
<span class="ln">156</span>         }
<span class="ln">157</span> 
<span class="error"><span class="ln error-ln">158</span>         return parent::run($action);
</span><span class="ln">159</span>     }
<span class="ln">160</span> 
<span class="ln">161</span>     /**
<span class="ln">162</span>      * Routes all the actions to their respective places
<span class="ln">163</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("themes")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#19			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/themes")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#20			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#21			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/index.php(194): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">189</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">190</span> 
<span class="ln">191</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">192</span> 
<span class="ln">193</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">194</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">195</span> 
<span class="ln">196</span> /* End of file index.php */
<span class="ln">197</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2018-06-06 18:05:17 Apache/2.4.10 (Ubuntu) <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.19	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
PHP notice.html (32,014 bytes)   
guest

guest

2018-06-11 14:55

viewer   ~48046

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=27366

Related Changesets

LimeSurvey: master f7460adf

2018-06-11 14:55:41

Dominik Vitt

Details Diff
Fixed issue 13743: PHP notice when viewing question view in theme editor Affected Issues
13743
mod - application/core/LSETwigViewRenderer.php Diff File

Issue History

Date Modified Username Field Change
2018-06-06 18:07 ollehar New Issue
2018-06-06 18:07 ollehar File Added: PHP notice.html
2018-06-07 11:23 LouisGac Priority none => low
2018-06-11 10:40 LouisGac Assigned To => dominikvitt
2018-06-11 10:40 LouisGac Status new => assigned
2018-06-11 14:55 Changeset attached => LimeSurvey master f7460adf
2018-06-11 14:55 guest Note Added: 48046
2018-06-11 14:55 guest Resolution open => fixed
2018-06-11 14:56 dominikvitt Status assigned => resolved
2018-06-11 14:56 dominikvitt Fixed in Version => 3.9.x
2018-06-11 16:32 markusfluer Status resolved => closed
2018-06-11 16:32 markusfluer Fixed in Version 3.9.x => 3.10.x